#
# spec file for package python-raven
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-raven
Version:        6.1.0
Release:        2.1
License:        BSD-3-Clause
Summary:        Raven is a client for Sentry
Url:            https://github.com/getsentry/raven-python
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/r/raven/raven-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with test}
BuildRequires:  %{python_module Flask >= 0.8}
BuildRequires:  %{python_module Flask-Login >= 0.2.0}
BuildRequires:  %{python_module Logbook}
BuildRequires:  %{python_module Paste}
BuildRequires:  %{python_module WebOb}
BuildRequires:  %{python_module WebTest}
BuildRequires:  %{python_module anyjson}
BuildRequires:  %{python_module blinker >= 1.1}
BuildRequires:  %{python_module bottle}
BuildRequires:  %{python_module celery >= 2.5}
BuildRequires:  %{python_module exam >= 0.5.2}
BuildRequires:  %{python_module flake8 >= 2.6}
BuildRequires:  %{python_module kombu}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module pycodestyle}
BuildRequires:  %{python_module pytest >= 3.0.0}
BuildRequires:  %{python_module pytest-timeout >= 0.4}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module tornado >= 4.1}
BuildRequires:  %{python_module vine}
BuildRequires:  python-contextlib2
BuildRequires:  python-unittest2
BuildRequires:  python-web.py
%endif
Recommends:     python-Flask >= 0.8
Recommends:     python-blinker >= 1.1
%ifpython3
%if %{python3_version_nodots} < 35
Requires:       python-contextlib2
%endif
%else
Requires:       python-contextlib2
%endif
BuildArch:      noarch

%python_subpackages

%description
Raven is a Python client for Sentry_. It provides full out-of-the-box
support for many of the popular frameworks, including Django, Flask,
and Pylons. Raven also includes drop-in support for any
WSGI-compatible web application.

%prep
%setup -q -n raven-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_expand rm -rf %{buildroot}/%{$python_sitelib}/raven/data/cacert.pem

%if %{with test}
%check
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
py.test-%{$python_bin_suffix}
}
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%python3_only %{_bindir}/raven
%{python_sitelib}/*

%changelog
* Thu Sep  7 2017 toddrme2178@gmail.com
- initial version
